Множественные уязвимости в Openfire

Дата публикации:
16.01.2009
Дата изменения:
16.01.2009
Всего просмотров:
4244
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Openfire 3.6.x
Уязвимые версии: Openfire 3.6.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "log" в сценариях logviewer.jsp и log.jsp, в параметре "search" в сценарии group-summary.jsp, в параметре "username" в сценарии user-properties.jsp, в параметрах "logDir", "maxTotalSize", "maxFileSize", "maxDays" и "logTimeout" в сценарии audit-policy.jsp, в параметре "propName" в сценарии server-properties.jsp, когда параметр "save" установлен в непустое значение, в параметрах "roomconfig_roomname" и "roomconfig_roomdesc" в сценарии muc-room-edit-form.jsp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "log" в сценарии log.jsp. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных ".log" файлов на системе.

URL производителя: www.igniterealtime.org/projects/openfire/index.jsp

Решение: Установите последнюю версию 3.6.3 с сайта производителя.

Ссылки: http://www.coresecurity.com/content/openfire-multiple-vulnerabilities

или введите имя

CAPTCHA